# Programmier-Werkzeug

Ian
Reinhart
Geiser

     geiseri@kde.org

01.06.2006
K Desktop Environment
makekdewidgets
1

# makekdewidgets

Erstellt Hilfsprogramme (Module) für &Qt;-Bedienelemente (Widgets) aus einer Beschreibungsdatei im „ini“-Stil.

    makekdewidgets &Qt;-Optionen &kde;-Optionen Datei

## Beschreibung

`makekdewidgets` erstellt Hilfsprogramme (Module) für &Qt;-Bedienelemente (Widgets) aus einer Beschreibungsdatei im „ini“-Stil.

## Optionen

### Argumente:

Datei

  Eingabedatei

### Optionen

`-o <Datei>`

  Ausgabedatei

`-n <Modulname>`

  Name der Modul-Klasse, die erstellt werden soll [WidgetsPlugin]

`-g <Gruppe>`

  Standardname der Bedienelement-Gruppe (Widget Group) im Designer [Custom]

`-p <pixmap dir>`

  Bettet Pixmasp aus einen Quellordner ein.

### Allgemeine Optionen:

`--help`

  Hilfe zu verfügbaren Optionen anzeigen.

`--help-qt`

  Spezielle Optionen für &Qt; anzeigen

`--help-kde`

  Zeigt die &kde;-spezifischen Optionen

`--help-all`

  Alle Optionen anzeigen

`--author`

  Zeigt Informationen über den Autor.

`-v, --version`

  Versionsinformation anzeigen

`--license`

  Lizenz-Informationen anzeigen

### &kde;-Optionen:

`--caption <Titel>`

  Verwendet 'Titel' als Name in der Titelzeile.

`--icon <Symbol>`

  „Symbol“ für die Anwendung benutzen

`--miniicon <Symbol>`

  „Symbol“ für die Anwendung benutzen

`--config <Dateiname>`

  Andere Einrichtungsdatei verwenden

`--dcopserver <Server>`

  Verwendet den unter 'Server' angegebenen &DCOP;-Server.

`--nocrashhandler`

  Abschalten des Crash-Handlers, damit Fehlerprotokolle (core dumps) erstellt werden.

`--waitforwm`

  Wartet auf einen Fenstermanager, der WM_NET-kompatibel ist.

`--style <Stil>`

  Legt den Stil der Anwendung fest

`--geometry <Geometrie>`

  Legt die Geometrie des Hauptelements im Client-Programm fest. Das Format für die Argumente finden Sie mit „man X“

### &Qt;-Optionen:

`--display <Anzeigename>`

  Verwendet die X-Server-Anzeige 'Anzeigename'.

`--session < Sitzungs-ID>`

  Wiederherstellung der Anwendung für die angegebene 'Sitzungs-ID'.

`--cmap`

  Bewirkt, dass die Anwendung auf einem 8-Bit-Display eine eigene Farbtabelle anlegt.

`--ncols <Anzahl>`

  Beschränkt die Anzahl der Farben auf einem 8-Bit-Display, wenn die Anwendung die Farbspezifikation QApplication::ManyColor verwendet.

`--nograb`

  Bewirkt, dass &Qt; weder Maus noch Tastatur für sich allein beansprucht (grab).

`--sync`

  Wechselt zum Debuggen in den Synchronmodus

`--fn, --font <Schriftname>`

  Legt die Schriftart für die Anwendung fest.

`--bg, --background <Farbe>`

  Legt die Standardhintergrundfarbe und eine Farbpalette für die Anwendung fest (helle und dunkle Schattierungen werden berechnet).

`--fg, --foreground <Farbe>`

  Legt die Standardvordergrundfarbe fest

`--btn, --button <Farbe>`

  Legt die Standardfarbe für Knöpfe fest.

`--name <Name>`

  Legt den Namen der Anwendung fest

`--title <Titel>`

  Legt den Titel der Anwendung fest (Fenstertitel)

`--visual TrueColor`

  Erzwingt die Verwendung von Echtfarben auf einer 8-Bit-Anzeige

`--inputstyle <Eingabestil>`

  Legt den Eingabestil von XIM (X Input Method) fest. Mögliche Werte sind onthespot, overthespot, offthespot und root.

`--im <XIM-Server>`

  Legt den XIM-Server fest

`--noxim`

  XIM abschalten

`--reverse`

  Ordnet sämtliche Bedienelemente spiegelverkehrt an

## Siehe auch

`http://developer.kde.org`

  &kde;-Entwickler-Webseite

## Fehler

Bitte verwenden Sie bugs.kde.org für Fehlerberichte, schicken Sie keine E-Mails direkt an die Autoren.